Loading...
Searching...
No Matches
jni::WeakReference< T, Deleter > Class Template Reference

`#include <weak_reference.hpp>`

## Public Member Functions

| WeakReference (JNIEnv &env, const T &referent)
Local< T > | get (JNIEnv &env)

## Constructor & Destructor Documentation

## WeakReference()

template<class T, template< RefDeletionMethod > class Deleter = DefaultRefDeleter>

jni::WeakReference< T, Deleter >::WeakReference | ( | JNIEnv & | env,
|  | const T & | referent )

inline

## Member Function Documentation

## get()

template<class T, template< RefDeletionMethod > class Deleter = DefaultRefDeleter>

Local< T > jni::WeakReference< T, Deleter >::get | ( | JNIEnv & | env | ) |

inline

The documentation for this class was generated from the following file:

- /build/lime-9DdzML/lime-5.3.105+dfsg/src/jni/weak_reference.hpp